.TH "teem-miter" "1" "December 10, 2008" "1.10.0" "User Commands"
.SH "NAME"
teem\-miter \- A simple but effective little volume renderer
.SH "SYNOPSIS"
.B teem\-miter
[\fI@file \fR...] [\fI\-i <nsin>\fR] [\fI\-vi <nvin>\fR] [\fI\-ti <ntin>\fR] \fI\\fR
.HP
\fB\-txf\fR <nin ...> \fB\-fr\fR <eye pos> [\-at <at pos>] [\-up <up dir>] [\-rh] [\-or] \e
.HP
\fB\-dn\fR <near> \fB\-di\fR <image> \fB\-df\fR <far> [\-ar] [\-ur <uMin uMax>] [\-vr <vMin \e
.IP 
vMax>] [\-fv <field of view>] [\-offfr] [\-ffr <fake from>] \e
[\-turn <angle>] [\-am <ambient>] [\-ld <light pos>] [\-is <image size>] \e
[\-iss <scale>] [\-ads <ka kd ks>] [\-sp <spec pow>] [\-k00 <kernel>] \e
[\-k11 <kernel>] [\-k22 <kernel>] [\-ss <shading spec>] [\-ns <normal \e
spec>] [\-side <normal side>] [\-rn] [\-gmc <min gradmag>] [\-step <size>] \e
[\-ref <size>] [\-vp <verbose pixel>] [\-n1 <near1>] [\-nt <# threads>] \e
\fB\-o\fR <filename>
.IP 
@file ... = response file(s) containing command\-line arguments
\fB\-i\fR <nsin> = input scalar volume to render (nrrd); default: ""
.HP
\fB\-vi\fR <nvin> = input vector volume to render (nrrd); default: ""
.HP
\fB\-ti\fR <ntin> = input tensor volume to render (nrrd); default: ""
.HP
\fB\-txf\fR <nin ...> = one or more transfer functions (1 or more nrrds)
.HP
\fB\-fr\fR <eye pos> = camera eye point (3 doubles)
.HP
\fB\-at\fR <at pos> = camera look\-at point (3 doubles); default: "0 0 0"
.HP
\fB\-up\fR <up dir> = camera pseudo\-up vector (3 doubles); default: "0 0 1"
.IP 
\fB\-rh\fR = use a right\-handed UVN frame (V points down)
\fB\-or\fR = orthogonal (not perspective) projection
.HP
\fB\-dn\fR <near> = distance to near clipping plane (double)
.HP
\fB\-di\fR <image> = distance to image plane (double)
.HP
\fB\-df\fR <far> = distance to far clipping plane (double)
.IP 
\fB\-ar\fR = near, image, and far plane distances are relative to the
.IP 
*at* point, instead of the eye point
.HP
\fB\-ur\fR <uMin uMax> = range in U direction of image plane (2 doubles)
.HP
\fB\-vr\fR <vMin vMax> = range in V direction of image plane (2 doubles)
.PP 
\fB\-fv\fR <field of view> = angle (in degrees) vertically subtended by view window
.IP 
(double); default: "20"
.IP 
\fB\-offfr\fR = the given eye point ("\-fr") is to be interpreted as an
.IP 
offset from the at point.
.TP 
\fB\-ffr\fR <fake from> = eye point to use for view\-dependent transfer functions.
By default (not using this option), the point used is the
normally specified camera eye point. (3 doubles)
.TP 
\fB\-turn\fR <angle> = angle (degrees) by which to rotate the from point around
true up, for making stereo pairs. Positive means move
towards positive U (the right) (double); default: "0.0"
.HP
\fB\-am\fR <ambient> = ambient light color (3 floats); default: "1 1 1"
.TP 
\fB\-ld\fR <light pos> = view space light position (extended to infinity)
(3 floats); default: "0 0 \fB\-1\fR"
.HP
\fB\-is\fR <image size> = image dimensions (2 ints); default: "256 256"
.TP 
\fB\-iss\fR <scale> = scaling of image size (from "is") (float);
default: "1.0"
.HP
\fB\-ads\fR <ka kd ks> = phong components (3 floats); default: "0.1 0.6 0.3"
.HP
\fB\-sp\fR <spec pow> = phong specular power (double); default: "30"
.TP 
\fB\-k00\fR <kernel> = value reconstruction kernel (kernel specification);
default: "tent"
.TP 
\fB\-k11\fR <kernel> = first derivative kernel (kernel specification);
default: "cubicd:1,0"
.TP 
\fB\-k22\fR <kernel> = second derivative kernel (kernel specification);
default: "cubicdd:1,0"
.TP 
\fB\-ss\fR <shading spec> = how to do shading (string);
default: "phong:gage(scalar:n)"
.TP 
\fB\-ns\fR <normal spec> = "normal" to use for those miteVal's that need one
(string); default: ""
.SS "\-side <normal side> = how to interpret gradients as normals:"
.IP 
o "1": normal points to lower values (higher == more
"inside")
o "0": "two\-sided": dot\-products are abs()'d
o "\-1": normal points to higher values (lower == more
"inside")
(int)
default: "1"
.IP 
\fB\-rn\fR = renormalize kernel weights at each new sample location.
.IP 
"Accurate" kernels don't need this; doing it always makes
things go slower
.TP 
\fB\-gmc\fR <min gradmag> = For curvature\-based transfer functions, set curvature to
zero when gradient magnitude is below this (double);
default: "0.0"
.TP 
\fB\-step\fR <size> = step size along ray in world space (double);
default: "0.01"
.TP 
\fB\-ref\fR <size> = "reference" step size (world space) for doing opacity
correction in compositing (double); default: "0.01"
.PP 
\fB\-vp\fR <verbose pixel> = pixel for which to turn on verbose messages (2 ints);
.IP 
default: "\-1 \fB\-1\fR"
.TP 
\fB\-n1\fR <near1> = opacity close enough to 1.0 to terminate ray (double);
default: "0.99"
.HP
\fB\-nt\fR <# threads> = number of threads hoover should use (int); default: "1"
.HP
\fB\-o\fR <filename> = file to write output nrrd to (string)
.SH "SEE ALSO"
The full documentation for
.B teem\-miter
is maintained as a Texinfo manual.  If the
.B info
and
.B teem\-miter
programs are properly installed at your site, the command
.IP 
.B info teem\-miter
.PP 
should give you access to the complete manual.
